/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.consumer;

import javax.xml.ws.WebFault;

/**
 * Thrown to indicate a general consumer exception.
 *
 * @author Daniel Cavalcanti
 */
@WebFault()
public class ConsumerException
    extends Exception {
    
    /**
     * Creates a new instance of <code>ConsumerException</code>.
     */
    public ConsumerException() {
        super();
    }
    
    /**
     * Creates a new instance of <code>ConsumerException</code>.
     * 
     * @param message The exception message.
     */
    public ConsumerException(String message) {
        super(message);
    }
    
    /**
     * Creates a new instance of <code>ConsumerException</code>.
     * 
     * @param cause The root cause.
     */
    public ConsumerException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Creates a new instance of <code>ConsumerException</code>.
     * 
     * @param message The exception message.
     * @param cause The root cause.
     */
    public ConsumerException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
