/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.dashboard;

import javax.xml.ws.WebFault;

/**
 * Thrown to indicate a general dash board exception.
 *
 * @author Daniel Cavalcanti
 */
@WebFault()
public class DashBoardException
    extends Exception {
    
    /**
     * Creates a new instance of <code>DashBoardException</code>.
     */
    public DashBoardException() {
        super();
    }
    
    /**
     * Creates a new instance of <code>DashBoardException</code>.
     * 
     * @param message The exception message.
     */
    public DashBoardException(String message) {
        super(message);
    }
    
    /**
     * Creates a new instance of <code>DashBoardException</code>.
     * 
     * @param cause The root cause.
     */
    public DashBoardException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Creates a new instance of <code>DashBoardException</code>.
     * 
     * @param message The exception message.
     * @param cause The root cause.
     */
    public DashBoardException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
